﻿@using Constants = Jumbula.Common.Constants.Constants
@using Jumbula.Common.Helper

@model SubscriptionBodyViewModel


<div class="tuitions">
    <div class="clearfix"></div>

    @foreach (var charge in Model.Schedule.Prices)
    {
        <div class="tuition">
            <span class="tuition-label ellipsis" title="@charge.Name">

                @{
                    var spotNote = string.Empty;
                    if (charge.CapacityLeft > 0 && Model.Schedule.RecurrenceTime.ShowCapacityLeft && charge.CapacityLeft <= Model.Schedule.RecurrenceTime.ShowCapacityLeftNumber)
                    {
                        spotNote = string.Format("{0} spots left", charge.CapacityLeft);
                    }
                    else if (Model.Schedule.TotalCapacityLeft > 0 && Model.Schedule.RecurrenceTime.ShowCapacityLeft && Model.Schedule.TotalCapacityLeft <= Model.Schedule.RecurrenceTime.ShowCapacityLeftNumber)
                    {
                        spotNote = string.Format("{0} spots left", Model.Schedule.TotalCapacityLeft);
                    }
                    if (charge.CapacityLeft == 0)
                    {
                        spotNote = "Full";
                    }
                }

                @charge.Name
                @if (!string.IsNullOrEmpty(spotNote))
                {
                    <span class="label label-danger" style="font-family:'Segoe UI', Helvetica, Arial, sans-serif; font-size: 11px; font-weight: 400; letter-spacing: .4px; position: relative; bottom: 2px;">@spotNote</span>
                }
                @if (!string.IsNullOrEmpty(charge.Description))
                {
                    <a href="#" class="help" role="button" data-toggle="popover" data-trigger="focus" data-content="@charge.Description"></a>
                }
            </span>

            @{
                bool prorateApplied = false,
                ebApplied = false;
            }

            @if (charge.IsProrate && charge.LeftSessions < charge.TotalSessions && charge.ProratePrice != charge.Amount)
            {
                prorateApplied = true;
                <div class="tuition-prices">
                    @if (charge.LeftSessions < 1)
                    {
                        <span>@CurrencyHelper.FormatCurrencyWithPenny(charge.Amount, Model.Currency)</span>
                        <p class="label label-success">No session left</p>
                    }
                    else
                    {
                        if (!Model.EnablePriceHidden)
                        {
                            <span class="discounted">@CurrencyHelper.FormatCurrencyWithPenny(charge.Amount, Model.Currency)</span>
                            <span class="applied">@CurrencyHelper.FormatCurrencyWithPenny(charge.ProratePrice, Model.Currency)</span>
                            <p class="label label-success">For @charge.LeftSessions remaining sessions @CurrencyHelper.FormatCurrencyWithPenny(charge.ProratePrice, Model.Currency)</p>

                        }
                    }
                </div>
            }
            else if (charge.HasEarlyBird && !prorateApplied && !Model.EnablePriceHidden)
            {
                foreach (var earlyBrid in charge.EarlyBirds.OrderBy(e => e.ExpireDate))
                {
                    if (Jumbula.Common.Helper.DateTimeHelper.ConvertUtcDateTimeToLocal(DateTime.UtcNow, Model.ClubTimeZone).Date <= earlyBrid.ExpireDate.Value.Date)
                    {
                        ebApplied = true;
                        <div class="tuition-prices">
                            <span class="discounted">@CurrencyHelper.FormatCurrencyWithPenny(charge.Amount, Model.Currency)</span>
                            <span class="applied">@CurrencyHelper.FormatCurrencyWithPenny(earlyBrid.Price, Model.Currency)</span>
                            @if (Model.ClubDomain.ToLower() != "latinballet")
                            {
                                <p class="label label-success">@string.Format("Early bird price expires on {0} at 11:59 PM", earlyBrid.ExpireDate.Value.ToString("MMM dd, yyyy"))</p>
                            }
                            else
                            {
                                <p class="label label-success">@string.Format("Prorate price{0}", " ")</p>
                            }
                        </div>
                        break;
                    }
                }
            }
            @if (!(ebApplied || prorateApplied) && !Model.EnablePriceHidden)
            {
                <div class="tuition-prices">
                    <span>@CurrencyHelper.FormatCurrencyWithPenny(charge.Amount, Model.Currency)</span>
                </div>
            }
            <div class="clearfix"></div>
        </div>
    }
    <div class="clearfix"></div>
</div>

@if (Model.SubscriptionParts != null && Model.SubscriptionParts.Any())
{
    <div class="program-section-title-bg">
        <h2 class="program-section-title ">Upcoming schedules</h2>
    </div>

    <div class="section-indent table-responsive clearfix">

        <table style="width: 100%" class="table table-striped">

            <thead>
                <tr>
                    <th>Schedule date</th>
                    <th>Payment due</th>

                </tr>
            </thead>

            <tbody class="grid-body">
                @foreach (var item in Model.SubscriptionParts)
                {
                    <tr>
                        <td>@string.Format("{0} - {1}", item.StartDate.ToString("MM/dd/yyyy"), item.EndDate.ToString("MM/dd/yyyy"))</td>
                        <td>@item.DueDate.Value.ToString("MM/dd/yyyy")</td>
                    </tr>
                }
            </tbody>
        </table>
    </div>
}

@if (Model.HasApplicationFee)
{
    <div class="program-section-title-bg">
        <h2 class="program-section-title jbi-shopping-bag">Additional services and fees</h2>
    </div>
    <div class="section-indent">
        <div class="jbi-coins program-service">
            <span class="program-service-title ellipsis" title="Custom charge 2">
                Application fee
            </span>
            <span class="program-service-value">
                @CurrencyHelper.FormatCurrencyWithPenny(Model.ApplicationFeeAmount, Model.Currency)
            </span>
        </div>
    </div>
}

@if (!string.IsNullOrEmpty(Model.Description))
{
    <div id="programDiscriptions">
        <div class="program-section-title-bg full-width">
            <h2 class="program-section-title jbi-note-paper">Description</h2>
        </div>
        <div class="clearfix"></div>
        <div class="program-section-container">
            <div class="program-desc-box">
                <p itemprop="description">
                    @Html.Raw(Model.Description.Replace("\n", "<br>").Replace("\r", "<br>"))
                </p>

            </div>

            @if (!string.IsNullOrEmpty(Model.WeeklyEmail))
            {
                <p><i class="jbi-weekly-email"></i>@Model.WeeklyEmail</p>
            }
        </div>

        <div class="clearfix"></div>
    </div>
}
else if (!string.IsNullOrEmpty(Model.WeeklyEmail))
{
    <div id="programDiscriptions">
        <div class="program-section-title-bg full-width">
            <h2 class="program-section-title jbi-note-paper">Description</h2>
        </div>
        <div class="clearfix"></div>
        <div class="program-section-container">
            <p>
                <i class="jbi-weekly-email"></i> @Model.WeeklyEmail
            </p>
        </div>
        <div class="clearfix"></div>
    </div>
}
@if (!(Model.Schedule.Restrict.RestrictionType == RestrictionType.None && (!Model.Schedule.Restrict.Gender.HasValue || Model.Schedule.Restrict.Gender.HasValue && (Model.Schedule.Restrict.Gender.Value == Genders.NoRestriction))))
{
    <div class="program-section-title-bg">
        <h2 class="program-section-title jbi-pie">Restrictions</h2>
    </div>

    <div id="restrictions" class="section-indent">
        @switch (Model.Schedule.Restrict.RestrictionType)
        {
            case RestrictionType.Age:
                {
                    <p class="jbi-graduation-cap">
                        @Model.Schedule.AgeRestrictionMessage
                    </p>
                    break;
                }
            case RestrictionType.Grade:
                {
                    <p class="jbi-graduation-cap">
                        @Model.Schedule.GradeRestrictionMessage
                    </p>
                    break;
                }
        }
        @if (Model.Schedule.Restrict.Gender.HasValue)
        {
            if (Model.Schedule.Restrict.Gender != Genders.NoRestriction)
            {
                <p class="jbi-gender">This class is open to @Model.Schedule.Restrict.Gender.ToDescription().ToLower()s only.</p>
            }
        }

    </div>
}
@if ((!string.IsNullOrEmpty(Model.MaterialsNeeded)))
{
    <div id="programDiscriptions">
        <div class="program-section-title-bg full-width">
            <h2 class="program-section-title jbi-note-paper">Materials needed</h2>
        </div>
        <div class="clearfix"></div>
        <div class="program-section-container">
            <div class="program-desc-box">
                <p itemprop="description">
                    @Html.Raw(Model.MaterialsNeeded.Replace("\n", "<br>").Replace("\r", "<br>"))
                </p>
            </div>
        </div>
        <div class="clearfix"></div>
    </div>
}

<div class="program-section-title-bg">
    <h2 class="program-section-title jbi-clock">Registration period</h2>
</div>
<div id="registrationPeriod" class="section-indent clearfix">
    <p>Registration starts on @Model.Schedule.RegistrationPeriod.RegisterStartDate.Value.ToString(Constants.DefaultDateFormat) and ends on @Model.Schedule.RegistrationPeriod.RegisterEndDate.Value.ToString(Constants.DefaultDateFormat).</p>
    <p>Participants may register at any time during this period</p>
</div>

@if (!Model.HideGoogleMapInClassPage)
{
    <div class="program-section-title-bg">
        <h2 class="program-section-title jbi-map-pin">Location</h2>
    </div>
    <div id="location" class="section-indent clearfix">
        <address>@StringHelper.JoinStringList(new string[] { Model.LocationName, Model.Address.Address }, ", ")@*<a data-target="#MapModal" data-toggle="modal" href="#" class="show-map" aria-hidden="True"> (show map)</a>*@</address>
        @if (!string.IsNullOrEmpty(Model.RoomAssignment))
        {
            <p>Room: @Model.RoomAssignment</p>
        }
    </div>
}



